## ifupdown 0.6.8ubuntu29

=== debian/changelog ===
ifupdown (0.6.8ubuntu29) lucid; urgency=low

  * debian/postinst: if the loopback interface is missing from the config in
    /etc/network/interfaces, add it on upgrade; there is no valid use case
    for a system without localhost, and not bringing this up will cause
    upstart runlevel handling to fail.  LP: #497299.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 19 Feb 2010 20:29:32 -0800

ifupdown (0.6.8ubuntu28) lucid; urgency=low

  * debian/ifupdown.upstart.if-up, debian/ifupdown.upstart.if-down:
    - Do not wait for the Upstart event to complete; while this seems like
      a good idea, it can cause "ifup -a" to hang forever if anybody creates
      a job that waits for two interfaces to come up.

      I still want this to be the default behaviour for "emit", and I do
      want this to block, but I need to fix Upstart first so that it doesn't
      keep happening accidentally.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 17 Feb 2010 11:03:18 +0000

ifupdown (0.6.8ubuntu27) lucid; urgency=low

  * Add a new query interface, 'ifquery', that can be used by upstart hooks
    to ask for the list of possible interfaces that they might need to bring
    up.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 04 Feb 2010 16:28:53 -0800

ifupdown (0.6.8ubuntu26) lucid; urgency=low

  * debian/ifupdown.network-interface-security.upstart: do not load on liveCD.

 -- Kees Cook <kees@ubuntu.com>  Fri, 08 Jan 2010 08:24:52 -0800

ifupdown (0.6.8ubuntu25) lucid; urgency=low

  * debian/ifupdown.network-interface-security.upstart:
    - trigger on network-manager too.
    - load from a directory rather than hard-coded list of profiles.

 -- Kees Cook <kees@ubuntu.com>  Tue, 15 Dec 2009 10:33:15 -0800

ifupdown (0.6.8ubuntu24) lucid; urgency=low

  * debian/ifupdown.network-interface-security.upstart:
    - Assume that virtual-filesystems are mounted; we can get away with
      this because of the start conditions of networking and network-interface
      if we don't every other network interface will wait for virtual
      filesystems to get mounted again.

      I *really* need to fix this Upstart bug!

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 15 Dec 2009 18:05:41 +0000

ifupdown (0.6.8ubuntu23) lucid; urgency=low

  * debian/ifupdown.network-interface.upstart:
  * debian/ifupdown.networking.upstart:
    - Revert Kees's change; this flat out doesn't work.
  * debian/ifupdown.network-interface-security.upstart:
    - Instead use "starting" so that the network-interface-security job
      is started before the first network-interface, and blocks it from
      finishing.

  (The above fixes the second ifup never completing due to waiting for
   network-interface-security to be restarted - which will never happen.)

  * debian/ifupdown.networking.upstart:
    - Make /var/run/network as we do in the network-interface job; this
      might end up running first.  LP: #446031.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 15 Dec 2009 14:34:56 +0000

ifupdown (0.6.8ubuntu22) lucid; urgency=low

  * Add AppArmor boot-time bits to upstart jobs.
  * Due to debhelper always adding /etc/init.d symlinks, we must
    manually remove /etc/init.d/networking for as long as netbase
    still provides it.

 -- Kees Cook <kees@ubuntu.com>  Fri, 04 Dec 2009 10:11:38 -0800

=== debian/control ===
Source: ifupdown
Section: admin
Priority: important
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Anthony Towns <ajt@debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 7.3.15ubuntu2), nowebm

Package: ifupdown
Architecture: any
Depends: net-tools, ${shlibs:Depends}, ${misc:Depends}, ${debconf-depends}, lsb-base (>= 1.3-9ubuntu3), netbase (>= 4.30ubuntu2)
Suggests: iproute, dhcp3-client | dhcp-client, ppp
Replaces: netbase (<< 4.00)
Breaks: udev (<< 136-1)
Description: high level tools to configure network interfaces
 This package provides the tools ifup and ifdown which may be used to
 configure (or, respectively, deconfigure) network interfaces based on
 interface definitions in the file /etc/network/interfaces.

=== debian/rules ===
#!/usr/bin/make -f

######################################################################
# BUILD NOTES
#
# ifupdown's written in litprog using noweb. noweb is written in icon.
# icon isn't as portable as one might hope (it needs to have bits recoded
# for each arch and OS it's ported to. ugh).
#
# So. The "upstream" source is made to not include any of the generated
# files. That's neat and tidy. If you want to modify anything, you edit
# the .nw file.
#
# Once you've done all the Debian changes, you run debian/rules binary,
# and get all the .c files and such updated. Once you're done, you
# run debian/rules clean, which leaves the generated .c files around
# for porters. You then generate a .diff.gz, and all should be well.
#
# Useful targets of the toplevel makefile:
# clobber:
#   * gets rid of all the generated files except Makefile,
#     make{c,nw}dep.sh, which are needed to bootstrap
#
# distclean:
#   * removes ALL generated files.  Use with care.
#
# docs: 
#   * builds the documentation. Note that this is not done per
#     default (only executables are built). If this is added to
#     the default build process (which will not be done in the near
#     future since dia requires an X display even if using the -e option) 
#     the 'tetex-base' and 'dia' packages would need to be added to the
#     Build-Dep
#
######################################################################

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

# For working out whether we're cross-building
DEB_BUILD_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

# user/group of to-be-installed files
ROOT_USER  := 0
ROOT_GROUP := 0

ifeq (,$(wildcard /usr/bin/po2debconf))
PO2DEBCONF := no
MINDEBCONFVER := 0.5
else
PO2DEBCONF := yes
MINDEBCONFVER := 1.2.0
endif

configure:
	dh_testdir

build: build-stamp
build-stamp: # configure
	dh_testdir

	if [ -x /usr/bin/noweb ]; then \
	  $(MAKE) clobber; \
	else \
	  chmod a+rx defn2c.pl defn2man.pl makecdep.sh makenwdep.sh; \
	fi
	$(MAKE)
	touch build-stamp

test: build
	dh_testdir

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	chmod a+rx debian/testbuild
	@echo running debian/testbuild
	@if ! debian/testbuild; then \
	     echo '=================================================='; \
	     echo 'AUTOMATIC TESTS FAILED -- Something built wrong or'; \
	     echo 'there is a bug in the code!!! Either way something'; \
	     echo 'is completely screwed up!!! File a bug!'; \
	     echo ''; \
	     echo 'Aborting build.'; \
	     echo '=================================================='; \
	     exit 1; \
	fi
endif

clean:
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process
	rm -rf tests/
	rm -f build-stamp install-stamp
	-$(MAKE) clean

	dh_clean
ifeq ($(PO2DEBCONF),yes)
	# Hack for woody compatibility. This makes sure that the
	# debian/templates file shipped in the source package doesn't
	# specify encodings, which woody's debconf can't handle. If building
	# on a system with po-debconf installed (conveniently debhelper (>=
	# 4.1.16) depends on it), the binary-arch target will generate a
	# better version for sarge.
	echo 1 > debian/po/output
	po2debconf debian/templates.master > debian/templates
	rm -f debian/po/output
endif

install-stamp: install
install: build test
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs etc/network/if-pre-up.d etc/network/if-up.d etc/network/if-down.d etc/network/if-post-down.d

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install BASEDIR=`pwd`/debian/tmp

	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 755 debian/upgrade-from-0.5.x.pl \
		debian/tmp/usr/share/ifupdown/
	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 755 debian/upgrade-from-hotplug.pl \
		debian/tmp/usr/share/ifupdown/

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build-stamp install-stamp
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs
	dh_installexamples contrib/*
	mv debian/tmp/usr/share/doc/ifupdown/examples debian/tmp/usr/share/doc/ifupdown/contrib
	dh_installexamples examples/*
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
	dh_installinit --name=network-interface-security --upstart-only -r
	dh_installinit --name=network-interface --upstart-only --noscripts
	dh_installinit --name=networking --upstart-only --noscripts
	# FIXME: this rm must be dropped once netbase has been fully upstartified
	rm debian/tmp/etc/init.d/networking
	dh_installifupdown --name=upstart
#	dh_installudev --priority=85
	dh_installcron
#	dh_installmanpages
#	   ^-- can't do our symlink trick
	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 644 interfaces.5 debian/tmp/usr/share/man/man5/interfaces.5
	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 644 ifup.8 debian/tmp/usr/share/man/man8/ifup.8
	ln -s ifup.8 debian/tmp/usr/share/man/man8/ifdown.8
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
ifeq ($(PO2DEBCONF),yes)
	po2debconf -e utf8 debian/templates.master > debian/templates
endif
	dh_gencontrol -- -V'debconf-depends=debconf (>= $(MINDEBCONFVER)) | debconf-2.0'
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure test

## ifupdown 0.6.8ubuntu29.1

=== debian/changelog ===
ifupdown (0.6.8ubuntu29.1) lucid-proposed; urgency=low

  * debian/ifupdown.network-interface.conf: Bring up lo manually, so that it
    comes up even if /etc/network/interfaces is broken (LP: #512253).
  * debian/ifupdown.upstart.if-up: Don't emit a duplicate net-device-up
    event for lo here, as network-interface.conf will have taken care of it.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 22 Jul 2010 14:00:43 +0100

## ifupdown 0.6.8ubuntu29.2

=== debian/changelog ===
ifupdown (0.6.8ubuntu29.2) lucid-security; urgency=low

  * debian/ifupdown.network-interface{,-security}.upstart: handle race
    condition when loading AppArmor profiles for interfaces (LP: #689892).
    Patch by Kees Cook.

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 04 Jan 2011 12:48:52 -0600

## ifupdown 0.6.8+nmu1

=== debian/changelog ===
ifupdown (0.6.8+nmu1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Drop debconf support that dealt with a very old transition
    Closes: #428084, #441673, #448416, #471804
  * [Lintian] No longer ignore errors by "make clean"
  * [Lintian] No longer include empty /usr/bin and /usr/sbin
  * [Lintian] Removed debian/conffiles that only contained files
    from /etc, that are added automatically by debhelper
  * [Lintian] Raise debhelper compatibility level to 4

 -- Christian Perrier <bubulle@debian.org>  Sat, 12 Apr 2008 13:32:24 +0200

=== debian/control ===
Source: ifupdown
Section: admin
Priority: important
Maintainer: Anthony Towns <ajt@debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 4.1.68), nowebm

Package: ifupdown
Architecture: any
Depends: net-tools, ${shlibs:Depends}, lsb-base
Suggests: iproute, dhcp3-client | dhcp-client, ppp
Replaces: netbase (<< 4.00)
Description: high level tools to configure network interfaces
 This package provides the tools ifup and ifdown which may be used to
 configure (or, respectively, deconfigure) network interfaces based on
 interface definitions in the file /etc/network/interfaces.

=== debian/rules ===
--- 
+++ 
@@ -37,9 +37,6 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-# This is the debhelper compatability version to use.
-export DH_COMPAT=1
-
 # For working out whether we're cross-building
 DEB_BUILD_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -48,13 +45,7 @@
 ROOT_USER  := 0
 ROOT_GROUP := 0
 
-ifeq (,$(wildcard /usr/bin/po2debconf))
-PO2DEBCONF := no
-MINDEBCONFVER := 0.5
-else
-PO2DEBCONF := yes
-MINDEBCONFVER := 1.2.0
-endif
+PACKAGE=ifupdown
 
 configure:
 	dh_testdir
@@ -96,20 +87,9 @@
 	# Add here commands to clean up after the build process
 	rm -rf tests/
 	rm -f build-stamp install-stamp
-	-$(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) clean
 
 	dh_clean
-ifeq ($(PO2DEBCONF),yes)
-	# Hack for woody compatibility. This makes sure that the
-	# debian/templates file shipped in the source package doesn't
-	# specify encodings, which woody's debconf can't handle. If building
-	# on a system with po-debconf installed (conveniently debhelper (>=
-	# 4.1.16) depends on it), the binary-arch target will generate a
-	# better version for sarge.
-	echo 1 > debian/po/output
-	po2debconf debian/templates.master > debian/templates
-	rm -f debian/po/output
-endif
 
 install-stamp: install
 install: build test
@@ -119,13 +99,10 @@
 	dh_installdirs etc/network/if-pre-up.d etc/network/if-up.d etc/network/if-down.d etc/network/if-post-down.d
 
 	# Add here commands to install the package into debian/tmp.
-	$(MAKE) install BASEDIR=`pwd`/debian/tmp
+	$(MAKE) install BASEDIR=`pwd`/debian/$(PACKAGE)
 
 	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 755 debian/upgrade-from-0.5.x.pl \
-		debian/tmp/usr/share/ifupdown/
-	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 755 debian/upgrade-from-hotplug.pl \
-		debian/tmp/usr/share/ifupdown/
-
+		debian/$(PACKAGE)/usr/share/ifupdown/
 	touch install-stamp
 
 # Build architecture-independent files here.
@@ -137,27 +114,22 @@
 #	dh_testversion
 	dh_testdir
 	dh_testroot
-	dh_installdebconf	
+#	dh_installdebconf	
 	dh_installdocs
 	dh_installexamples contrib/*
-	mv debian/tmp/usr/share/doc/ifupdown/examples debian/tmp/usr/share/doc/ifupdown/contrib
+	mv debian/$(PACKAGE)/usr/share/doc/ifupdown/examples debian/$(PACKAGE)/usr/share/doc/ifupdown/contrib
 	dh_installexamples examples/*
 	dh_installmenu
 #	dh_installemacsen
 #	dh_installpam
-	dh_installinit --name=network-interface-security --upstart-only -r
-	dh_installinit --name=network-interface --upstart-only --noscripts
-	dh_installinit --name=networking --upstart-only --noscripts
-	# FIXME: this rm must be dropped once netbase has been fully upstartified
-	rm debian/tmp/etc/init.d/networking
-	dh_installifupdown --name=upstart
-#	dh_installudev --priority=85
+	dh_installinit --name=ifupdown-clean --no-start -- start 18 S .
+	dh_installinit --name=ifupdown --no-start -- start 39 S .  start 36 0 6 .
 	dh_installcron
 #	dh_installmanpages
 #	   ^-- can't do our symlink trick
-	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 644 interfaces.5 debian/tmp/usr/share/man/man5/interfaces.5
-	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 644 ifup.8 debian/tmp/usr/share/man/man8/ifup.8
-	ln -s ifup.8 debian/tmp/usr/share/man/man8/ifdown.8
+	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 644 interfaces.5 debian/$(PACKAGE)/usr/share/man/man5/interfaces.5
+	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 644 ifup.8 debian/$(PACKAGE)/usr/share/man/man8/ifup.8
+	ln -s ifup.8 debian/$(PACKAGE)/usr/share/man/man8/ifdown.8
 	dh_installinfo
 #	dh_undocumented
 	dh_installchangelogs ChangeLog
@@ -171,10 +143,7 @@
 	dh_installdeb
 #	dh_perl
 	dh_shlibdeps
-ifeq ($(PO2DEBCONF),yes)
-	po2debconf -e utf8 debian/templates.master > debian/templates
-endif
-	dh_gencontrol -- -V'debconf-depends=debconf (>= $(MINDEBCONFVER)) | debconf-2.0'
+	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## ifupdown 0.6.10ubuntu3

=== debian/changelog ===
ifupdown (0.6.10ubuntu3) maverick; urgency=low

  * debian/ifupdown.preinst: since files in /etc were not conffiles in
    lucid, and /etc/network/if-up.d/upstart and
    /etc/init/network-interface.conf changed between lucid final and
    maverick, add extra handling to avoid spurious conffile prompts.
    LP: #620956.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 31 Aug 2010 02:11:35 +0000

ifupdown (0.6.10ubuntu2) maverick; urgency=low

  * debian/ifupdown.network-interface.conf: Bring up lo manually, so that it
    comes up even if /etc/network/interfaces is broken (LP: #512253).
  * debian/ifupdown.upstart.if-up: Don't emit a duplicate net-device-up
    event for lo here, as network-interface.conf will have taken care of it.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 22 Jul 2010 13:52:49 +0100

ifupdown (0.6.10ubuntu1) maverick; urgency=low

  * Merge from Debian unstable, remaining changes:
    - ifupdown.nw: use 100 as default route metric unless an explicit metric
      parameter is set in /etc/network/interface
    - ifupdown.nw: Add 'ipv4ll' method which uses avahi-autoipd to bring up
      an interface with an IPv4 link-layer address from 169.254.0.0/16 (aka
      'Zeroconf').
    - Add iniparser3.0b sources (dictionary.c, dictionary.h, iniparser.c,
      iniparser.h), to let ifupdown avoid auto-up/down of interfaces if
      network-manager's ifupdown plugin is in managed=true mode
    - move ifstate file to /var/run/network/ifstate
    - Add a new query interface, 'ifquery', that can be used by upstart
      hooks to ask for the list of possible interfaces that they might need
      to bring up.
    - debian/ifupdown.network-interface.upstart: replace the init scripts
      with a per-interface Upstart job.
    - debian/ifupdown.networking.upstart: add a "networking" job that
      partially replaces the networking init script from netbase.
    - debian/control: bump build-dependency on debhelper for Upstart-aware
      dh_installinit.
    - debian/rules: due to debhelper always adding /etc/init.d symlinks, we
      must manually remove /etc/init.d/networking for as long as netbase
      still provides it.
    - Add if-up and if-down scripts to emit Upstart events when interfaces
      come up and go down.
    - debian/ifupdown.network-interface-security.upstart: ensure apport is
      started before interfaces are brought up by either ifupdown or
      network-manager.
    - debian/postinst: if the loopback interface is missing from the config
      in /etc/network/interfaces, add it on upgrade.
    - Fix a wrong path to examples in the interfaces(5) manpage.
  * Changes superseded in Debian:
    - ifupdown.nw: modprobe ipv6 before configuring it.
    - debian/control: Add missing ${misc:Depends}
  * Dropped changes:
    - Drop versioned dependency on netbase - no rationale is given for the
      dependency to exist at all.
    - No need to version the dep on lsb-base, every release since dapper and
      earlier satisfies this constraint.
    - Drop Breaks on old, pre-jaunty versions of udev.
    - Drop migration of "mapping hotplug" to "auto", this migration was done
      in hardy and upstream has dropped the debconf support so let's not
      readd it.
    - Drop edits to ifupdown-clean, no longer used in Ubuntu.
    - Drop the udev rules, which are now completely superseded by upstart
      jobs.
    - Drop preinst, postinst cleanup of the obsolete, Ubuntu-specific
      loopback script.
  * update all generated files to match their source versions (*.defn,
    main.c).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 03 Jun 2010 17:18:43 +0000

ifupdown (0.6.10) unstable; urgency=low

  * Try to load the ipv6 module when doing up on inet6 stansas except
    manual, ignoring any errors or warnings (Closes: #480046, #413428,
    512553).  Thanks to Andreas Henriksson for the patch.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 03 Mar 2010 08:09:39 +0100

ifupdown (0.6.9) unstable; urgency=low

  * Fix typo subsytems -> subsystems in interfaces(5) manual page
    (Closes: #390086).  Thanks to A. Costa for the patch.
  * Fix typo iterface -> interface in init.d/ifupdown-clean (Closes:
    #458347).  Patch from Trent W. Buck.
  * Fix bashism in example script get-mac-address.sh (Closes:
    #518924).  Patch from Simon Descarpentries.
  * Remove obsolete debconf template translations (Closes: #520007,
    #534553).
  * Fix gramatically incorrect message from ifupdown (Closes:
    #501554).  Patch from Łukasz Stelmach.
  * Updated standards-version from 3.7.2 to 3.8.3.  No change needed.
  * Make sure postrm script fail on errors.  Thanks lintian.
  * Upgrade to debhelper version 7.
  * Acknowledge NMUs (Closes: #428084, #441673, #448416, #471804,
    #544371).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 06 Sep 2009 12:11:11 +0200

ifupdown (0.6.8+nmu3) unstable; urgency=low

  * Non-maintainer upload. (with maintainer's consent)
  * Correctly make the modification in 0.6.8+nmu2
  * Also adjust the way /sbin/dhclient is killed to be comparable to how
    /sbin/dhclient is stopped
  * Invoke dhclient with -v to maintain equivalent verbosity to dhclient3
  * Conflict with dhcp-client v2

 -- Andrew Pollock <apollock@debian.org>  Thu, 03 Sep 2009 21:50:47 -0700

ifupdown (0.6.8+nmu2) unstable; urgency=low

  * Non-maintainer upload. (with maintainer's consent)
  * Invoke /sbin/dhclient without the -e option in preparation for DHCP v4
    (closes: #544371)

 -- Andrew Pollock <apollock@debian.org>  Wed, 02 Sep 2009 21:20:37 -0700

## ifupdown 0.6.10ubuntu3build1

=== debian/changelog ===
ifupdown (0.6.10ubuntu3build1) lucid; urgency=low

  * Rebuild maverick version for lucid-based hedley project

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Wed, 17 Nov 2010 12:30:59 -0500

=== debian/control ===
Source: ifupdown
Section: admin
Priority: important
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Anthony Towns <ajt@debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 7.3.15ubuntu2), nowebm

Package: ifupdown
Architecture: any
Depends: net-tools, ${shlibs:Depends}, ${misc:Depends}, lsb-base
Suggests: iproute, dhcp3-client | dhcp-client, ppp
Replaces: netbase (<< 4.00)
Conflicts: dhcp-client (<< 3.0)
Description: high level tools to configure network interfaces
 This package provides the tools ifup and ifdown which may be used to
 configure (or, respectively, deconfigure) network interfaces based on
 interface definitions in the file /etc/network/interfaces.

=== debian/rules ===
--- 
+++ 
@@ -95,7 +95,7 @@
 install: build test
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs etc/network/if-pre-up.d etc/network/if-up.d etc/network/if-down.d etc/network/if-post-down.d
 
 	# Add here commands to install the package into debian/tmp.
@@ -122,8 +122,12 @@
 	dh_installmenu
 #	dh_installemacsen
 #	dh_installpam
-	dh_installinit --name=ifupdown-clean --no-start -- start 18 S .
-	dh_installinit --name=ifupdown --no-start -- start 39 S .  start 36 0 6 .
+	dh_installinit --name=network-interface-security --upstart-only -r
+	dh_installinit --name=network-interface --upstart-only --noscripts
+	dh_installinit --name=networking --upstart-only --noscripts
+	# FIXME: this rm must be dropped once netbase has been fully upstartified
+	rm debian/$(PACKAGE)/etc/init.d/networking
+	dh_installifupdown --name=upstart
 	dh_installcron
 #	dh_installmanpages
 #	   ^-- can't do our symlink trick

## ifupdown 0.6.10ubuntu3.1

=== debian/changelog ===
ifupdown (0.6.10ubuntu3.1) maverick-security; urgency=low

  * debian/ifupdown.network-interface{,-security}.upstart: handle race
    condition when loading AppArmor profiles for interfaces (LP: #689892).
    Patch by Kees Cook.

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 04 Jan 2011 12:40:01 -0600

## ifupdown 0.6.10ubuntu4

=== Makefile ===
CFLAGS := -Wall -W -g -O2 -D'IFUPDOWN_VERSION="0.6.5"'
CC := gcc

CFILES := addrfam.c execute.c config.c main.c archlinux.c
HFILES := header.h archlinux.h
PERLFILES := defn2c.pl defn2man.pl
DEFNFILES := inet.defn ipx.defn inet6.defn

OBJ := main.o addrfam.o execute.o config.o \
	$(patsubst %.defn,%.o,$(DEFNFILES)) archlinux.o \
	dictionary.o iniparser.o

MAN := $(patsubst %.defn,%.man,$(DEFNFILES))

default : executables
all : executables docs

executables : ifup ifdown ifquery ifup.8 ifdown.8 interfaces.5
docs : ifupdown.ps.gz ifup.8.ps.gz interfaces.5.ps.gz ifupdown.pdf

.PHONY : executables 
.PHONY : clean clobber

install :
	install -m 0755 -d     ${BASEDIR}/sbin
	install -m 0755 ifup   ${BASEDIR}/sbin
	ln ${BASEDIR}/sbin/ifup ${BASEDIR}/sbin/ifdown	
	ln ${BASEDIR}/sbin/ifup ${BASEDIR}/sbin/ifquery

clean :
	rm -f *.aux *.toc *.log *.bbl *.blg *.ps *.eps *.pdf
	rm -f *.o *.d $(patsubst %.defn,%.c,$(DEFNFILES)) *~
	rm -f $(patsubst %.defn,%.man,$(DEFNFILES))
	rm -f ifup ifdown ifquery interfaces.5 ifdown.8 ifquery.8
	rm -f ifupdown.dvi *.ps{,.gz}

clobber : clean
	rm -f ifupdown.tex $(PERLFILES) $(CFILES) $(HFILES) $(DEFNFILES)

distclean : clobber
	rm -f makecdep.sh makenwdep.sh Makefile
ifup: $(OBJ)
	$(CC) $(CFLAGS) $^ $(LDFLAGS) $(OUTPUT_OPTION)

ifdown: ifup
	ln -sf ifup ifdown

ifquery: ifup
	ln -sf ifup ifquery
interfaces.5: interfaces.5.pre $(MAN)
	sed $(foreach man,$(MAN),-e '/^##ADDRESSFAM##$$/r $(man)') \
	     -e '/^##ADDRESSFAM##$$/d' < $< > $@	

ifdown.8 ifquery.8: ifup.8
	ln -sf $< $@

%.5.ps: %.5
	groff -mandoc -Tps $< > $@
%.8.ps: %.8
	groff -mandoc -Tps $< > $@
ifupdown.dvi: modules.eps execution.eps
ifupdown.ps: modules.eps execution.eps
ifupdown.pdf: modules.pdf execution.pdf
%.tex : %.nw
	noweave -delay -index -latex $< >$@

%.bbl : %.tex biblio.bib
	latex $<
	bibtex $(basename $<)

%.dvi : %.tex %.bbl
	latex $<
	latex $<

%.pdf : %.tex %.bbl
	pdflatex $<
	pdflatex $<

%.ps : %.dvi
	dvips -o $@ $<

%.gz : %
	gzip --best --stdout $< >$@
%.eps : %.dia
	dia --nosplash -e $@ $<

%.pdf : %.eps
	gs -q -sDEVICE=pdfwrite -dNOPAUSE -sOutputFile=$@ - < $<
%.d: %.nw makenwdep.sh
	./makenwdep.sh $< > $@
%.d: %.c makecdep.sh
	./makecdep.sh $< > $@
%.c : %.defn defn2c.pl
	./defn2c.pl $< > $@
%.man: %.defn defn2man.pl
	./defn2man.pl $< > $@

include-deps := YES
ifneq "" "$(filter %clean,$(MAKECMDGOALS))"
include-deps := NO
endif
ifeq "clobber" "$(MAKECMDGOALS)"
include-deps := NO
endif
ifeq "$(strip $(include-deps))" "YES"
include ifupdown.d
endif

=== debian/changelog ===
ifupdown (0.6.10ubuntu4) natty; urgency=low

  * debian/ifupdown.network-interface{,-security}.upstart: handle race
    condition when loading AppArmor profiles for interfaces (LP: #689892).

 -- Kees Cook <kees@ubuntu.com>  Mon, 13 Dec 2010 13:53:12 -0800

=== _darcs/current/debian/control ===
Source: ifupdown
Section: admin
Priority: important
Maintainer: Anthony Towns <ajt@debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 7), nowebm

Package: ifupdown
Architecture: any
Depends: net-tools, ${shlibs:Depends}, ${misc:Depends}, lsb-base
Suggests: iproute, dhcp3-client | dhcp-client, ppp
Replaces: netbase (<< 4.00)
Conflicts: dhcp-client (<< 3.0)
Description: high level tools to configure network interfaces
 This package provides the tools ifup and ifdown which may be used to
 configure (or, respectively, deconfigure) network interfaces based on
 interface definitions in the file /etc/network/interfaces.

=== _darcs/current/debian/rules ===
#!/usr/bin/make -f

######################################################################
# BUILD NOTES
#
# ifupdown's written in litprog using noweb. noweb is written in icon.
# icon isn't as portable as one might hope (it needs to have bits recoded
# for each arch and OS it's ported to. ugh).
#
# So. The "upstream" source is made to not include any of the generated
# files. That's neat and tidy. If you want to modify anything, you edit
# the .nw file.
#
# Once you've done all the Debian changes, you run debian/rules binary,
# and get all the .c files and such updated. Once you're done, you
# run debian/rules clean, which leaves the generated .c files around
# for porters. You then generate a .diff.gz, and all should be well.
#
# Useful targets of the toplevel makefile:
# clobber:
#   * gets rid of all the generated files except Makefile,
#     make{c,nw}dep.sh, which are needed to bootstrap
#
# distclean:
#   * removes ALL generated files.  Use with care.
#
# docs: 
#   * builds the documentation. Note that this is not done per
#     default (only executables are built). If this is added to
#     the default build process (which will not be done in the near
#     future since dia requires an X display even if using the -e option) 
#     the 'tetex-base' and 'dia' packages would need to be added to the
#     Build-Dep
#
######################################################################

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# For working out whether we're cross-building
DEB_BUILD_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

# user/group of to-be-installed files
ROOT_USER  := 0
ROOT_GROUP := 0

PACKAGE=ifupdown

configure:
	dh_testdir

build: build-stamp
build-stamp: # configure
	dh_testdir

	if [ -x /usr/bin/noweb ]; then \
	  $(MAKE) clobber; \
	else \
	  chmod a+rx defn2c.pl defn2man.pl makecdep.sh makenwdep.sh; \
	fi
	$(MAKE)
	touch build-stamp

test: build
	dh_testdir

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	chmod a+rx debian/testbuild
	@echo running debian/testbuild
	@if ! debian/testbuild; then \
	     echo '=================================================='; \
	     echo 'AUTOMATIC TESTS FAILED -- Something built wrong or'; \
	     echo 'there is a bug in the code!!! Either way something'; \
	     echo 'is completely screwed up!!! File a bug!'; \
	     echo ''; \
	     echo 'Aborting build.'; \
	     echo '=================================================='; \
	     exit 1; \
	fi
endif

clean:
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process
	rm -rf tests/
	rm -f build-stamp install-stamp
	[ ! -f Makefile ] || $(MAKE) clean

	dh_clean

install-stamp: install
install: build test
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs etc/network/if-pre-up.d etc/network/if-up.d etc/network/if-down.d etc/network/if-post-down.d

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install BASEDIR=`pwd`/debian/$(PACKAGE)

	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 755 debian/upgrade-from-0.5.x.pl \
		debian/$(PACKAGE)/usr/share/ifupdown/
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build-stamp install-stamp
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples contrib/*
	mv debian/$(PACKAGE)/usr/share/doc/ifupdown/examples debian/$(PACKAGE)/usr/share/doc/ifupdown/contrib
	dh_installexamples examples/*
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
	dh_installinit --name=ifupdown-clean --no-start -- start 18 S .
	dh_installinit --name=ifupdown --no-start -- start 39 S .  start 36 0 6 .
	dh_installcron
#	dh_installmanpages
#	   ^-- can't do our symlink trick
	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 644 interfaces.5 debian/$(PACKAGE)/usr/share/man/man5/interfaces.5
	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 644 ifup.8 debian/$(PACKAGE)/usr/share/man/man8/ifup.8
	ln -s ifup.8 debian/$(PACKAGE)/usr/share/man/man8/ifdown.8
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure test

## ifupdown 0.7~alpha5

=== Makefile ===
--- 
+++ 
@@ -1,21 +1,22 @@
-CFLAGS := -Wall -W -g -O2 -D'IFUPDOWN_VERSION="0.6.5"'
+CFLAGS := -Wall -W -g -O2 -D'IFUPDOWN_VERSION="0.7alpha"'
 CC := gcc
+
+BASEDIR ?= $(DESTDIR)
 
 CFILES := addrfam.c execute.c config.c main.c archlinux.c
 HFILES := header.h archlinux.h
 PERLFILES := defn2c.pl defn2man.pl
-DEFNFILES := inet.defn ipx.defn inet6.defn
+DEFNFILES := inet.defn ipx.defn inet6.defn can.defn
 
 OBJ := main.o addrfam.o execute.o config.o \
-	$(patsubst %.defn,%.o,$(DEFNFILES)) archlinux.o \
-	dictionary.o iniparser.o
+	$(patsubst %.defn,%.o,$(DEFNFILES)) archlinux.o
 
 MAN := $(patsubst %.defn,%.man,$(DEFNFILES))
 
 default : executables
 all : executables docs
 
-executables : ifup ifdown ifquery ifup.8 ifdown.8 interfaces.5
+executables : ifup ifdown ifup.8 ifdown.8 interfaces.5
 docs : ifupdown.ps.gz ifup.8.ps.gz interfaces.5.ps.gz ifupdown.pdf
 
 .PHONY : executables 
@@ -25,13 +26,12 @@
 	install -m 0755 -d     ${BASEDIR}/sbin
 	install -m 0755 ifup   ${BASEDIR}/sbin
 	ln ${BASEDIR}/sbin/ifup ${BASEDIR}/sbin/ifdown	
-	ln ${BASEDIR}/sbin/ifup ${BASEDIR}/sbin/ifquery
 
 clean :
 	rm -f *.aux *.toc *.log *.bbl *.blg *.ps *.eps *.pdf
 	rm -f *.o *.d $(patsubst %.defn,%.c,$(DEFNFILES)) *~
 	rm -f $(patsubst %.defn,%.man,$(DEFNFILES))
-	rm -f ifup ifdown ifquery interfaces.5 ifdown.8 ifquery.8
+	rm -f ifup ifdown interfaces.5 ifdown.8
 	rm -f ifupdown.dvi *.ps{,.gz}
 
 clobber : clean
@@ -44,14 +44,11 @@
 
 ifdown: ifup
 	ln -sf ifup ifdown
-
-ifquery: ifup
-	ln -sf ifup ifquery
 interfaces.5: interfaces.5.pre $(MAN)
 	sed $(foreach man,$(MAN),-e '/^##ADDRESSFAM##$$/r $(man)') \
 	     -e '/^##ADDRESSFAM##$$/d' < $< > $@	
 
-ifdown.8 ifquery.8: ifup.8
+ifdown.8: ifup.8
 	ln -sf $< $@
 
 %.5.ps: %.5

=== debian/changelog ===
ifupdown (0.7~alpha5) experimental; urgency=low

  * Set PHASE variable (Closes: #629821).
  * Allow privacy extensions for inet6/auto (Closes: #629841).
  * Make Router Advertisements and SLAAC configurable (Closes: #629837).
  * Fix the IPv4 interface down sequence (Closes: #629836).
  * Add Vcs-* fields.
  * Remove privacy extensions option for 6in4/6to4 interfaces
    as no SLAAC is possible there.
  * Document interface exclusion option.
  * Improve conversions code, allowing calculating 6to4 address without
    calling external utilities.
  * Fix some compilation warnings.
  * Update test cases.

 -- Andrew O. Shadoura <bugzilla@tut.by>  Thu, 09 Jun 2011 00:07:09 +0300

ifupdown (0.7~alpha4) experimental; urgency=low

  * New maintainer.
  * Remove VCS repository from the tarball (Closes: #417718).
  * Add source stanza (Closes: #159884, #149395, #471834).
  * Fix bashism in example script get-mac-address.sh (Closes: #518924).
  * Use DebSrc3.0 source format and dh7.
  * Add auto method for IPv6, fix static method (Closes: #604136).
  * Update URL for Debian Reference (Closes: #610238).
  * Fix typos in the man page (Closes: #384143, #415285).
  * Add GRE and IPIP tunnels support (Closes: #158089).
  * Fix inet/static pointopoint option (Closes: #460276).
  * Add support for enabling/disabling IPv6 privacy extension
    (Closes: #520576).
  * Move network state file to /run/network (Closes: #389996).
  * Fix init script dependencies (Closes: #607713, #601705).
  * Add MTU setting for v4tunnel (Closes: #408453, #575110).
  * Allow multiple interface definitions to ease work with multiple IP per
    interface.
  * Allow passing PPP options, pass updetach by default (Closes: #196877).
  * Add 6to4 tunnels support (Closes: #357929).
  * Add CAN interface support (Closes: #584530).
  * Drop 0.5.x migration script.
  * Drop dependency on net-tools; suggest it instead.
  * Bump Standards-Version to 3.9.2.

 -- Andrew O. Shadoura <bugzilla@tut.by>  Wed, 08 Jun 2011 12:10:14 +0300

ifupdown (0.7~alpha3) experimental; urgency=low

  * Apply patches from Andreas Henriksson (Closes: Bug#456918)
    - Fix aadr typo in IPv6 loopback method
    - Add dependency on new version of iproute that supports specifying
      netmasks as dotted-quads.
    - Re-add netmask field for backwards compatibility.
    - Flush addresses when taking down a static inet interface.
      (Closes: Bug#431059)
    - Switch inet/dhcp and inet6/static methods to iproute.
    - Update test cases.
    - Support for conversion of ifconfig format hwaddress to iproute format
      hwaddress.
  * Update Build-Depends: to reflect name change from nowebm to noweb.
  * Move DH_COMPAT setting from debian/rules to debian/compat file.
  * Don't ignore errors from make clean in debian/rules clean target.
  * Escape hypens in interfaces.5 manpage.
  * Don't create /usr/bin or /usr/sbin directories.
  * Bump Standards-Version.

 -- Anthony Towns <ajt@debian.org>  Sat, 22 Dec 2007 00:31:16 +1000

ifupdown (0.7~alpha2) experimental; urgency=low

  * Add command line interface options (ifup -o foo=bar eth1). Yay!
  * Switch to using iproute instead of ifconfig/route. Thanks to Andrew
    Pollock.
  * Drop support for kernels prior to 2.1.100 (and that don't have NETLINK
    for iproute).
  * Drop support for specifying a "netmask" in static inet interfaces.
  * Bump DH_COMPAT to 4 (from 1!)

 -- Anthony Towns <aj@azure.humbug.org.au>  Mon, 18 Jun 2007 15:47:21 +0100

=== debian/rules ===
#!/usr/bin/make -f

######################################################################
# BUILD NOTES
#
# ifupdown's written in litprog using noweb. noweb is written in icon.
# icon isn't as portable as one might hope (it needs to have bits recoded
# for each arch and OS it's ported to. ugh).
#
# So. The "upstream" source is made to not include any of the generated
# files. That's neat and tidy. If you want to modify anything, you edit
# the .nw file.
#
# Once you've done all the Debian changes, you run debian/rules binary,
# and get all the .c files and such updated. Once you're done, you
# run debian/rules clean, which leaves the generated .c files around
# for porters. You then generate a .diff.gz, and all should be well.
#
# Useful targets of the toplevel makefile:
# clobber:
#   * gets rid of all the generated files except Makefile,
#     make{c,nw}dep.sh, which are needed to bootstrap
#
# distclean:
#   * removes ALL generated files.  Use with care.
#
# docs: 
#   * builds the documentation. Note that this is not done per
#     default (only executables are built). If this is added to
#     the default build process (which will not be done in the near
#     future since dia requires an X display even if using the -e option) 
#     the 'tetex-base' and 'dia' packages would need to be added to the
#     Build-Dep
#
######################################################################

%:
	dh $@

override_dh_auto_configure:
	chmod a+rx makecdep.sh makenwdep.sh

override_dh_installinit:
	dh_installinit --name=ifupdown-clean --no-start -- start 18 S . start 38 0 6 .
	dh_installinit --name=ifupdown --no-start -- start 39 S .  start 36 0 6 .

override_dh_auto_clean:
	$(MAKE) clean
	$(MAKE) clobber

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	chmod a+rx debian/testbuild
	@echo running debian/testbuild
	@if ! debian/testbuild; then \
	     echo '=================================================='; \
	     echo 'AUTOMATIC TESTS FAILED -- Something built wrong or'; \
	     echo 'there is a bug in the code!!! Either way something'; \
	     echo 'is completely screwed up!!! File a bug!'; \
	     echo ''; \
	     echo 'Aborting build.'; \
	     echo '=================================================='; \
	     exit 1; \
	fi
endif
endif

## ifupdown 0.7~alpha5+really0.6.16

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,14 @@
-CFLAGS := -Wall -W -g -O2 -D'IFUPDOWN_VERSION="0.7alpha"'
-CC := gcc
+VERSION ?= 0.6
+CFLAGS := -Wall -W -g -O2 -D'IFUPDOWN_VERSION="$(VERSION)"'
+CC ?= gcc
 
-BASEDIR ?= $(DESTDIR)
-
-CFILES := addrfam.c execute.c config.c main.c archlinux.c
-HFILES := header.h archlinux.h
+CFILES := addrfam.c execute.c config.c main.c archlinux.c archkfreebsd.c
+HFILES := header.h archlinux.h archkfreebsd.h
 PERLFILES := defn2c.pl defn2man.pl
-DEFNFILES := inet.defn ipx.defn inet6.defn can.defn
+DEFNFILES := inet.defn ipx.defn inet6.defn
 
 OBJ := main.o addrfam.o execute.o config.o \
-	$(patsubst %.defn,%.o,$(DEFNFILES)) archlinux.o
+	$(patsubst %.defn,%.o,$(DEFNFILES)) archlinux.o archkfreebsd.o
 
 MAN := $(patsubst %.defn,%.man,$(DEFNFILES))

=== debian/changelog ===
ifupdown (0.7~alpha5+really0.6.16) unstable; urgency=low

  * Use FreeBSD version of route, thanks to Robert Millan
    for the patch (Closes: #646291).

 -- Andrew O. Shadura <bugzilla@tut.by>  Sun, 23 Oct 2011 21:10:44 +0300

ifupdown (0.7~alpha5+really0.6.15) unstable; urgency=low

  * Replace /etc/network/run.dpkg-old correctly (Closes: #639612).

 -- Andrew O. Shadura <bugzilla@tut.by>  Mon, 29 Aug 2011 11:00:17 +0300

ifupdown (0.7~alpha5+really0.6.14) unstable; urgency=low

  * Create /etc/network/interfaces correctly (Closes: #638718).
  * Correct the spelling of the maintainer's last name.

 -- Andrew O. Shadura <bugzilla@tut.by>  Mon, 22 Aug 2011 23:02:50 +0300

ifupdown (0.7~alpha5+really0.6.13) unstable; urgency=low

  * Clean up SysV symlinks on upgrade (Closes: #637804).

 -- Andrew O. Shadura <bugzilla@tut.by>  Sun, 14 Aug 2011 21:36:02 +0300

ifupdown (0.7~alpha5+really0.6.12) unstable; urgency=low

  * Fix init script dependencies so we don't try to remove state
    file before the root filesystem is remounted R/W (Closes: #637435).
  * Don't install ifupdown.init on runlevels 0 and 6.
  * Add Vcs-Hg field.

 -- Andrew O. Shadura <bugzilla@tut.by>  Sat, 13 Aug 2011 20:05:15 +0300

ifupdown (0.7~alpha5+really0.6.11) unstable; urgency=low

  * Backport the fixes for the following bugs from 0.7 branch:
    - Suggest isc-dhcp-client instead of dhcp3-client (Closes: #631414).
    - Remove Default-Stop from the LSB headers (Closes: #630506).
    - Fix init script dependencies (Closes: #607713).
  * Report the correct version number on --version.

 -- Andrew O. Shadura <bugzilla@tut.by>  Sun, 07 Aug 2011 15:38:26 +0300

ifupdown (0.7~alpha5+really0.6.10) unstable; urgency=low

  * Non-maintainer upload.
  * No source changes.
  * Bump version to replace 0.7~alpha5 which was uploaded to
    unstable (rather than experimental) by mistake (Closes: #630501).

 -- Roger Leigh <rleigh@debian.org>  Tue, 14 Jun 2011 17:48:20 +0100

=== debian/control ===
Source: ifupdown
Section: admin
Priority: important
Maintainer: Andrew O. Shadura <bugzilla@tut.by>
Uploaders: Petter Reinholdtsen <pere@debian.org>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 7), nowebm
Vcs-Hg: http://anonscm.debian.org/hg/collab-maint/ifupdown#0.6

Package: ifupdown
Architecture: any
Depends: net-tools, ${shlibs:Depends}, ${misc:Depends}, lsb-base
Suggests: iproute, isc-dhcp-client | dhcp-client, ppp
Replaces: netbase (<< 4.00)
Conflicts: dhcp-client (<< 3.0)
Description: high level tools to configure network interfaces
 This package provides the tools ifup and ifdown which may be used to
 configure (or, respectively, deconfigure) network interfaces based on
 interface definitions in the file /etc/network/interfaces.

=== debian/rules ===
--- 
+++ 
@@ -34,23 +34,38 @@
 #
 ######################################################################
 
-%:
-	dh $@
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
 
-override_dh_auto_configure:
-	chmod a+rx makecdep.sh makenwdep.sh
+# For working out whether we're cross-building
+DEB_BUILD_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
-override_dh_installinit:
-	dh_installinit --name=ifupdown-clean --no-start -- start 18 S . start 38 0 6 .
-	dh_installinit --name=ifupdown --no-start -- start 39 S .  start 36 0 6 .
+# user/group of to-be-installed files
+ROOT_USER  := 0
+ROOT_GROUP := 0
 
-override_dh_auto_clean:
-	$(MAKE) clean
-	$(MAKE) clobber
+PACKAGE=ifupdown
+
+configure:
+	dh_testdir
+
+build: build-stamp
+build-stamp: # configure
+	dh_testdir
+
+	if [ -x /usr/bin/noweb ]; then \
+	  $(MAKE) clobber; \
+	else \
+	  chmod a+rx defn2c.pl defn2man.pl makecdep.sh makenwdep.sh; \
+	fi
+	$(MAKE) VERSION=$(shell dpkg-parsechangelog|grep Version|cut -d' ' -f2|sed s/.*really//g)
+	touch build-stamp
+
+test: build
+	dh_testdir
 
 ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-override_dh_auto_test:
 	chmod a+rx debian/testbuild
 	@echo running debian/testbuild
 	@if ! debian/testbuild; then \
@@ -64,4 +79,73 @@
 	     exit 1; \
 	fi
 endif
-endif
+
+clean:
+	dh_testdir
+	dh_testroot
+
+	# Add here commands to clean up after the build process
+	rm -rf tests/
+	rm -f build-stamp install-stamp
+	[ ! -f Makefile ] || $(MAKE) clean
+
+	dh_clean
+
+install-stamp: install
+install: build test
+	dh_testdir
+	dh_testroot
+	dh_prep
+	dh_installdirs etc/network/if-pre-up.d etc/network/if-up.d etc/network/if-down.d etc/network/if-post-down.d
+
+	# Add here commands to install the package into debian/tmp.
+	$(MAKE) install BASEDIR=`pwd`/debian/$(PACKAGE)
+
+	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 755 debian/upgrade-from-0.5.x.pl \
+		debian/$(PACKAGE)/usr/share/ifupdown/
+	touch install-stamp
+
+# Build architecture-independent files here.
+binary-indep: build-stamp install-stamp
+# We have nothing to do by default.
+
+# Build architecture-dependent files here.
+binary-arch: build install
+#	dh_testversion
+	dh_testdir
+	dh_testroot
+#	dh_installdebconf	
+	dh_installdocs
+	dh_installexamples contrib/*
+	mv debian/$(PACKAGE)/usr/share/doc/ifupdown/examples debian/$(PACKAGE)/usr/share/doc/ifupdown/contrib
+	dh_installexamples examples/*
+	dh_installmenu
+#	dh_installemacsen
+#	dh_installpam
+	dh_installinit --name=ifupdown-clean --no-start -- start 18 S .
+	dh_installinit --name=ifupdown --no-start -- start 39 S .
+	dh_installcron
+#	dh_installmanpages
+#	   ^-- can't do our symlink trick
+	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 644 interfaces.5 debian/$(PACKAGE)/usr/share/man/man5/interfaces.5
+	install -o $(ROOT_USER) -g $(ROOT_GROUP) -m 644 ifup.8 debian/$(PACKAGE)/usr/share/man/man8/ifup.8
+	ln -s ifup.8 debian/$(PACKAGE)/usr/share/man/man8/ifdown.8
+	dh_installinfo
+#	dh_undocumented
+	dh_installchangelogs ChangeLog
+	dh_link
+	dh_strip
+	dh_compress
+	dh_fixperms
+	# You may want to make some executables suid here.
+#	dh_suidregister
+#	dh_makeshlibs
+	dh_installdeb
+#	dh_perl
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure test

## ifupdown 0.7~alpha5.1

=== debian/changelog ===
ifupdown (0.7~alpha5.1) experimental; urgency=low

  * Non-maintainer upload.
  * No source changes.
  * Upload to experimental rather than unstable.

 -- Roger Leigh <rleigh@debian.org>  Tue, 14 Jun 2011 18:44:11 +0100

=== debian/control ===
Source: ifupdown
Section: admin
Priority: important
Maintainer: Andrew O. Shadoura <bugzilla@tut.by>
Uploaders: Petter Reinholdtsen <pere@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7.0.50~), noweb
Vcs-Hg: http://anonscm.debian.org/hg/collab-maint/ifupdown/
Vcs-Browser: http://anonscm.debian.org/hg/collab-maint/ifupdown/

Package: ifupdown
Architecture: any
Depends: iproute (>= 20071016-1), ${shlibs:Depends}, ${misc:Depends}, lsb-base, initscripts (>= 2.88dsf-13.3)
Suggests: dhcp3-client | dhcp-client, ppp, rdnssd, net-tools
Replaces: netbase (<< 4.00)
Conflicts: dhcp-client (<< 3.0)
Description: high level tools to configure network interfaces
 This package provides the tools ifup and ifdown which may be used to
 configure (or, respectively, deconfigure) network interfaces based on
 interface definitions in the file /etc/network/interfaces.
